--- old/usr/src/boot/lib/libstand/Makefile.inc	Mon Jul 10 19:26:34 2017
+++ new/usr/src/boot/lib/libstand/Makefile.inc	Mon Jul 10 19:26:34 2017
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2017 RackTop Systems.
 #
 
 #
@@ -33,6 +34,11 @@
 	strdup.o strerror.o strtol.o strtoul.o random.o \
 	sbrk.o twiddle.o zalloc.o zalloc_malloc.o
 
+# builtins provided by compiler-rt
+SRCS +=	$(LIB_BASE)/builtins/divmoddi4.c
+SRCS +=	$(LIB_BASE)/builtins/udivmoddi4.c
+OBJS +=	divmoddi4.o udivmoddi4.o
+
 # private (pruned) versions of libc string functions
 SRCS +=	$(LIBSTAND_SRC)/strcasecmp.c
 OBJS +=	strcasecmp.o
